---
- name: Configure git user name
  ansible.builtin.command:
    cmd: 'git config --global user.name "agoncalvesdeol"'

- name: Configure git user.email
  ansible.builtin.command:
    cmd: 'git config --global user.email "a.i.castro@tudelft.nl"'

- name: Create git repo in tinc_etc_path
  ansible.builtin.command:
    cmd: 'git init'
    chdir: '{{ tinc_etc_path }}'

- name: Git set origin
  ansible.builtin.command:
    cmd: "git remote add origin {{ tinc_confs_git_repo }}"
    chdir: '{{ tinc_etc_path }}'
  ignore_errors: true

- name: Git checkout branch (hostname)
  ansible.builtin.command:
    cmd: "git checkout -b {{ ansible_facts['nodename'] }}"
    chdir: '{{ tinc_etc_path }}'
  ignore_errors: true

- name: Git track all files and dirs
  ansible.builtin.command:
    cmd: 'git add --all'
    chdir: '{{ tinc_etc_path }}'

- name: Git track all files and dirs
  ansible.builtin.command:
    cmd: 'git add --all'
    chdir: '{{ tinc_etc_path }}'

- name: Git commit
  ansible.builtin.command:
    cmd: 'git commit -m committing_{{ ansible_facts["nodename"] }}'
    chdir: '{{ tinc_etc_path }}'
  ignore_errors: true

- name: Git push origin
  ansible.builtin.command:
    cmd: 'git push origin {{ ansible_facts["nodename"] }}'
    chdir: '{{ tinc_etc_path }}'
  ignore_errors: true
